ublas: boost::numeric::ublas::vector_reference< E > Class Template Reference

# boost::numeric::ublas::vector_reference< E > Class Template Reference

Inherits vector_expression< vector_reference< E > >.

List of all members.

## Public Types
typedef E::size_type | size_type
typedef E::difference_type | difference_type
typedef E::value_type | value_type
typedef E::const_reference | const_reference
typedef boost::mpl::if_ < boost::is_const< E > , typename E::const_reference, typename E::reference >::type | reference
typedef E | referred_type
typedef const self_type | const_closure_type
typedef self_type | closure_type
typedef E::storage_category | storage_category
typedef E::const_iterator | const_iterator
typedef boost::mpl::if_ < boost::is_const< E > , typename E::const_iterator, typename E::iterator >::type | iterator
typedef reverse_iterator_base < const_iterator > | const_reverse_iterator
typedef reverse_iterator_base < iterator > | reverse_iterator
## Public Member Functions
BOOST_UBLAS_INLINE | vector_reference (referred_type &e)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const referred_type & | expression () const
BOOST_UBLAS_INLINE referred_type & | expression ()
BOOST_UBLAS_INLINE const_reference | operator() (size_type i) const
BOOST_UBLAS_INLINE reference | operator() (size_type i)
BOOST_UBLAS_INLINE const_reference | operator[] (size_type i) const
BOOST_UBLAS_INLINE reference | operator[] (size_type i)
BOOST_UBLAS_INLINE vector_reference & | operator= (const vector_reference &v)
template<class AE >
BOOST_UBLAS_INLINE vector_reference & | operator= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE vector_reference & | assign (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE vector_reference & | operator+= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE vector_reference & | plus_assign (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE vector_reference & | operator-= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE vector_reference & | minus_assign (const vector_expression< AE > &ae)
template<class AT >
BOOST_UBLAS_INLINE vector_reference & | operator*= (const AT &at)
template<class AT >
BOOST_UBLAS_INLINE vector_reference & | operator/= (const AT &at)
BOOST_UBLAS_INLINE void | swap (vector_reference &v)
BOOST_UBLAS_INLINE bool | same_closure (const vector_reference &vr) const
BOOST_UBLAS_INLINE const_iterator | find (size_type i) const
BOOST_UBLAS_INLINE iterator | find (size_type i)
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE iterator | begin ()
BOOST_UBLAS_INLINE iterator | end ()
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE reverse_iterator | rbegin ()
BOOST_UBLAS_INLINE reverse_iterator | rend ()

### template<class E>
class boost::numeric::ublas::vector_reference< E >